SET NOCOUNT ON;
GO

-- On SQL Server 2014

-- demonstrate that string literals for column aliases
-- raises a deprecation warning - it will break someday!

-- run this multiple times - you should see the counter
-- go up by 2 every time (once for compilation, once for
-- execution):

SELECT [object_name], instance_name, 'what' = cntr_value 
  FROM sys.dm_os_performance_counters
  WHERE [object_name] = N'MSSQL$SQL2014:Deprecated Features'
  AND instance_name = N'String literals as column aliases'
  OPTION (RECOMPILE);