USE AdventureWorks2012;
SET NOCOUNT ON;
GO

-- all three plans are identical
SELECT CustomerID FROM Sales.Customer
  WHERE CustomerID IN 
  (
    SELECT CustomerID FROM Sales.SalesOrderHeaderEnlarged
  );

SELECT c.CustomerID FROM Sales.Customer AS c
  WHERE EXISTS
  (
    SELECT 1 FROM Sales.SalesOrderHeaderEnlarged AS h
    WHERE h.CustomerID = c.CustomerID
  );

SELECT CustomerID FROM Sales.Customer
INTERSECT
SELECT CustomerID FROM Sales.SalesOrderHeaderEnlarged;